Get workflow JSON schema

Server: https://{kibana_url}
  • GET /api/workflows/schema
  • GET /s/{space_id}/api/workflows/schema

Refer to Spaces for more information.

Retrieve the JSON schema used to validate workflow YAML definitions. The schema includes available step types based on the configured connectors in the current space.

[Required authorization] Route required privileges: workflowsManagement:read.

Query Parameters

loose boolean required

When true, returns a permissive schema that allows additional properties. When false, returns a strict schema for full validation.

Response

200

Indicates a successful response

application/json